Summary: A GNU tool which simplifies the build process for users.
Name: make
Version: 3.79.1
Release: 3tr
Copyright: GPL
Group: Programming/Utilities
Source: ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.gz
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q

%build
%configure
CFLAGS="$RPM_OPT_FLAGS" ./configure i586-trustix-linux --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
make

%install
rm -f $RPM_BUILD_ROOT/%{_prefix}/info/make.info*

make prefix=$RPM_BUILD_ROOT/%{_prefix} install mandir="$RPM_BUILD_ROOT"/usr/share/man infodir="$RPM_BUILD_ROOT"/usr/share/info

pushd $RPM_BUILD_ROOT/%{_prefix}; { 
  rm -f ./share/info/dir
  rm -f ./share/info/make.info*.gz
  gzip -9nf ./share/info/make.info*
  strip ./bin/make
  ln -sf make ./bin/gmake
} ; popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /%{_prefix}/share/info/make.info.gz /%{_prefix}/share/info/dir --entry="* GNU make: (make).           The GNU make utility."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /%{_prefix}/share/info/make.info.gz /%{_prefix}/share/info/dir --entry="* GNU make: (make).           The GNU make utility."
fi

%files
%defattr(-,root,root)
%doc NEWS README COPYING ABOUT-NLS AUTHORS ChangeLog
%{_prefix}/bin/*
%{_prefix}/share/man/man1/make.1*
%{_prefix}/share/info/make.info*

%changelog
* Thu Sep 15 2000 Erlend Midttun <erlendbm@trustix.com>
- update to 3.79.1

* Thu May 11 2000 Oystein Viggen <oysteivi@trustix.com>
- update to 3.79

* Fri Jan 28 2000 Erlend Midttun <erlendbm@trustix.com>
- Changed man and info paths

* Fri Jan 21 2000 Cristian Gafton <gafton@redhat.com>
- apply patch to fiox a /tmp race condition from Thomas Biege
- simplify %install

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.78.1.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- added a serial tag so it upgrades right

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for large file support in glob
 
* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.77

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- udpated from 3.75 to 3.76
- various spec file cleanups
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
